summaryrefslogtreecommitdiff
path: root/tests/mv/part-hardlink
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/mv/part-hardlink
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/mv/part-hardlink')
-rwxr-xr-xtests/mv/part-hardlink6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/mv/part-hardlink b/tests/mv/part-hardlink
index 133fd9354..a6d0654b1 100755
--- a/tests/mv/part-hardlink
+++ b/tests/mv/part-hardlink
@@ -18,7 +18,7 @@ trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
if test -z "$other_partition_tmpdir"; then
- (exit 77); exit
+ (exit 77); exit 77
fi
t0="$t0 $other_partition_tmpdir"
@@ -33,7 +33,7 @@ ln a/1 b/1 || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -47,4 +47,4 @@ test $1 = $3 || fail=1
set - `ls -Ci a/1 b/1`
test $1 = $3 || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail